Name:    xmlrpc-epi
Version: 0.51
Release: 0%{?dist}.1
Summary: An implementation of the xmlrpc protocol in C

Group:     Development/Libraries
License:   BSD
URL:       http://xmlrpc-epi.sourceforge.net/
Source0:   http://dl.sf.net/sourceforge/xmlrpc-epi/xmlrpc-epi-%{version}.tar.gz
Patch0:    xmlrpc-epi-0.51-gcc4.1.patch
Patch1:    xmlrpc-epi-0.51-use-system-expat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: expat-devel

%description
An implementation of the xmlrpc protocol in C.

%package  devel
Summary:  Development files for xmlrpc-epi
Group:    Development/Libraries
Requires: xmlrpc-epi = %{version}-%{release}

%description devel
The xmlrpc-epi-devel package contains libraries and header files for
developing applications that use xmlrpc-epi.

%package  examples
Summary:  xmlrpc-epi Examples
Group:    Development/Libraries
Requires: xmlrpc-epi = %{version}-%{release}

%description examples

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static --includedir=%{_includedir}/xmlrpc-epi
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot}%{_libdir} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/libxmlrpc.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/xmlrpc-epi
%{_libdir}/libxmlrpc.so

%files examples
%defattr(-,root,root,-)
%doc
%{_bindir}/client
%{_bindir}/hello_client
%{_bindir}/hello_server
%{_bindir}/memtest
%{_bindir}/sample
%{_bindir}/server
%{_bindir}/server_compliance_test

%changelog
* Sun Feb 04 2007 Callum Lerwick <seg@haxxed.com> 0.51-1
- Initial packaging.
